# Assets

## GET /assets

> Get all assets metadata

```json
{"openapi":"3.0.0","info":{"title":"Nest API","version":"1.0.0"},"servers":[{"url":"https://api.nest.credit/v1","description":"Nest API Server"}],"paths":{"/assets":{"get":{"tags":["Assets"],"description":"Get all assets metadata","responses":{"200":{"description":"Assets metadata","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"slug":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"}},"required":["slug","name","description"]}}},"required":["data"]}}}}}}}}}
```

## GET /assets/{slug}/apy

> Get Asset APY by slug

```json
{"openapi":"3.0.0","info":{"title":"Nest API","version":"1.0.0"},"servers":[{"url":"https://api.nest.credit/v1","description":"Nest API Server"}],"paths":{"/assets/{slug}/apy":{"get":{"tags":["Assets"],"description":"Get Asset APY by slug","parameters":[{"schema":{"type":"string","minLength":1,"description":"The slug of the asset"},"required":true,"description":"The slug of the asset","name":"slug","in":"path"}],"responses":{"200":{"description":"Asset APY","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"slug":{"type":"string"},"tokens":{"type":"array","items":{"type":"object","properties":{"assetAddress":{"type":"string","pattern":"^0x[a-fA-F0-9]+$"},"chainId":{"type":"number"},"symbol":{"type":"string","nullable":true},"apy":{"type":"object","properties":{"rolling7d":{"type":"number","nullable":true},"rolling30d":{"type":"number","nullable":true},"sec30d":{"type":"number","nullable":true}},"required":["rolling7d","rolling30d","sec30d"]}},"required":["assetAddress","chainId","symbol","apy"]}}},"required":["slug","tokens"]}},"required":["data"]}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}}}}
```

## GET /assets/{slug}/apy-history

> Get Asset APY history by slug for the given date range

```json
{"openapi":"3.0.0","info":{"title":"Nest API","version":"1.0.0"},"servers":[{"url":"https://api.nest.credit/v1","description":"Nest API Server"}],"paths":{"/assets/{slug}/apy-history":{"get":{"tags":["Assets"],"description":"Get Asset APY history by slug for the given date range","parameters":[{"schema":{"type":"string","minLength":1,"description":"The slug of the asset"},"required":true,"description":"The slug of the asset","name":"slug","in":"path"},{"schema":{"type":"number","nullable":true,"description":"Unix timestamp in seconds"},"required":false,"description":"Unix timestamp in seconds","name":"startDate","in":"query"},{"schema":{"type":"number","nullable":true,"default":1779306527,"description":"Unix timestamp in seconds"},"required":false,"description":"Unix timestamp in seconds","name":"endDate","in":"query"}],"responses":{"200":{"description":"Asset APY history","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"slug":{"type":"string"},"tokens":{"type":"array","items":{"type":"object","properties":{"assetAddress":{"type":"string","pattern":"^0x[a-fA-F0-9]+$"},"chainId":{"type":"number"},"symbol":{"type":"string","nullable":true},"history":{"type":"array","items":{"type":"object","properties":{"day":{"type":"number"},"apy":{"type":"object","properties":{"rolling7d":{"type":"number","nullable":true},"rolling30d":{"type":"number","nullable":true},"sec30d":{"type":"number","nullable":true}},"required":["rolling7d","rolling30d","sec30d"]}},"required":["day","apy"]}}},"required":["assetAddress","chainId","symbol","history"]}}},"required":["slug","tokens"]}},"required":["data"]}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}}}}
```

## GET /assets/{slug}/tvl

> Get Asset TVL by slug

```json
{"openapi":"3.0.0","info":{"title":"Nest API","version":"1.0.0"},"servers":[{"url":"https://api.nest.credit/v1","description":"Nest API Server"}],"paths":{"/assets/{slug}/tvl":{"get":{"tags":["Assets"],"description":"Get Asset TVL by slug","parameters":[{"schema":{"type":"string","minLength":1,"description":"The slug of the asset"},"required":true,"description":"The slug of the asset","name":"slug","in":"path"}],"responses":{"200":{"description":"Asset TVL","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"slug":{"type":"string"},"tokens":{"type":"array","items":{"type":"object","properties":{"assetAddress":{"type":"string","pattern":"^0x[a-fA-F0-9]+$"},"chainId":{"type":"number"},"symbol":{"type":"string","nullable":true},"tvl":{"type":"number"},"price":{"type":"number"},"supply":{"type":"number"},"yield":{"type":"number","nullable":true}},"required":["assetAddress","chainId","symbol","tvl","price","supply","yield"]}}},"required":["slug","tokens"]}},"required":["data"]}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}}}}
```

## GET /assets/{slug}/details

> Get Asset Details by slug

```json
{"openapi":"3.0.0","info":{"title":"Nest API","version":"1.0.0"},"servers":[{"url":"https://api.nest.credit/v1","description":"Nest API Server"}],"paths":{"/assets/{slug}/details":{"get":{"tags":["Assets"],"description":"Get Asset Details by slug","parameters":[{"schema":{"type":"string","minLength":1,"description":"The slug of the asset"},"required":true,"description":"The slug of the asset","name":"slug","in":"path"}],"responses":{"200":{"description":"Asset Details","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"slug":{"type":"string"},"name":{"type":"string"},"image":{"type":"string","nullable":true},"description":{"type":"string"},"custodians":{"type":"array","items":{"type":"object","properties":{"image":{"type":"string","nullable":true},"name":{"type":"string"}},"required":["image","name"]},"description":"Deprecated."},"website":{"type":"string","nullable":true},"scorecardUrl":{"type":"string","nullable":true},"category":{"type":"object","nullable":true,"properties":{"name":{"type":"string","nullable":true},"color":{"type":"string","nullable":true,"description":"Deprecated."},"isActive":{"type":"boolean","nullable":true,"description":"Deprecated."}},"required":["name","color","isActive"]},"regulatory":{"type":"object","properties":{"entity":{"type":"string","nullable":true},"rating":{"type":"string","nullable":true}},"required":["entity","rating"]}},"required":["slug","name","image","description","custodians","website","scorecardUrl","category","regulatory"]}},"required":["data"]}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}}}}
```

## GET /assets/{slug}/price-history

> Get Asset price history by slug for the given date range

```json
{"openapi":"3.0.0","info":{"title":"Nest API","version":"1.0.0"},"servers":[{"url":"https://api.nest.credit/v1","description":"Nest API Server"}],"paths":{"/assets/{slug}/price-history":{"get":{"tags":["Assets"],"description":"Get Asset price history by slug for the given date range","parameters":[{"schema":{"type":"string","minLength":1,"description":"The slug of the asset"},"required":true,"description":"The slug of the asset","name":"slug","in":"path"},{"schema":{"type":"number","nullable":true,"description":"Unix timestamp in seconds"},"required":false,"description":"Unix timestamp in seconds","name":"startDate","in":"query"},{"schema":{"type":"number","nullable":true,"default":1779306527,"description":"Unix timestamp in seconds"},"required":false,"description":"Unix timestamp in seconds","name":"endDate","in":"query"}],"responses":{"200":{"description":"Asset price history","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"slug":{"type":"string"},"tokens":{"type":"array","items":{"type":"object","properties":{"assetAddress":{"type":"string","pattern":"^0x[a-fA-F0-9]+$"},"chainId":{"type":"number"},"symbol":{"type":"string","nullable":true},"history":{"type":"array","items":{"type":"object","properties":{"day":{"type":"number"},"price":{"type":"number"}},"required":["day","price"]}}},"required":["assetAddress","chainId","symbol","history"]}}},"required":["slug","tokens"]}},"required":["data"]}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}}}}
```

## GET /assets/{slug}/stats

> Get asset stats by slug

```json
{"openapi":"3.0.0","info":{"title":"Nest API","version":"1.0.0"},"servers":[{"url":"https://api.nest.credit/v1","description":"Nest API Server"}],"paths":{"/assets/{slug}/stats":{"get":{"tags":["Assets"],"description":"Get asset stats by slug","parameters":[{"schema":{"type":"string","minLength":1,"description":"The slug of the asset"},"required":true,"description":"The slug of the asset","name":"slug","in":"path"}],"responses":{"200":{"description":"Asset stats","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"slug":{"type":"string"},"tokens":{"type":"array","items":{"type":"object","properties":{"assetAddress":{"type":"string","pattern":"^0x[a-fA-F0-9]+$"},"chainId":{"type":"number"},"symbol":{"type":"string","nullable":true},"maxDrawdown":{"type":"number","nullable":true,"description":"The maximum drawdown of the asset. Returns value [-1, 0] where -0.05 means 5% max drawdown."},"dailyVolatilityBps":{"type":"number","nullable":true,"description":"The daily volatility of the asset in basis points for a rolling 30 day window."}},"required":["assetAddress","chainId","symbol","maxDrawdown","dailyVolatilityBps"]}}},"required":["slug","tokens"]}},"required":["data"]}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nest.credit/developers/api/assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
